package com.qmth.themis.business.cache.bean;

import java.io.Serializable;

import com.alibaba.fastjson.JSONArray;

/**
 * 客观题标答缓存
 * 
 * @Description:
 * @Author: xiatian
 * @Date: 2020-07-29
 */
public class ObjectiveAnswerCacheBean implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 429158666416475187L;
	// 分数
	private Double score;
	// 题型
	private Integer structType;

	// 选择题标答
	private JSONArray choiceAnswer;

	// 判断题标答
	private Boolean boolAnswer;

	public Double getScore() {
		return score;
	}

	public void setScore(Double score) {
		this.score = score;
	}

	public Integer getStructType() {
		return structType;
	}

	public void setStructType(Integer structType) {
		this.structType = structType;
	}

	public JSONArray getChoiceAnswer() {
		return choiceAnswer;
	}

	public void setChoiceAnswer(JSONArray choiceAnswer) {
		this.choiceAnswer = choiceAnswer;
	}

	public Boolean getBoolAnswer() {
		return boolAnswer;
	}

	public void setBoolAnswer(Boolean boolAnswer) {
		this.boolAnswer = boolAnswer;
	}

	
}
